# OpenGl_Extension.h File Reference

`#include <GL/gl.h>`
`#include <GL/glu.h>`
`#include <GL/glx.h>`

## Defines

#define | EXPORT
#define | GLUtesselator GLUtriangulatorObj
#define | GLU_TESS_BEGIN 100100
#define | GLU_TESS_VERTEX 100101
#define | GLU_TESS_END 100102
#define | GLU_TESS_ERROR 100103
#define | GLU_TESS_COMBINE 100105

## Functions

GLboolean | InitExtensionGLX (Display *display)
GLboolean | QueryExtensionGLX (char *extName)
GLboolean | QueryExtension (char *extName)
Display * | GetCurrentDisplay (void)
GLboolean | supportsOneDotOne (void)
GLboolean | CheckExtension (char *extName, const char *extString)

## Define Documentation

#define EXPORT

#define GLU_TESS_BEGIN 100100

#define GLU_TESS_COMBINE 100105

#define GLU_TESS_END 100102

#define GLU_TESS_ERROR 100103

#define GLU_TESS_VERTEX 100101

#define GLUtesselator GLUtriangulatorObj

## Function Documentation

GLboolean CheckExtension | ( | char * | extName,
|  | const char * | extString
| ) |

Display* GetCurrentDisplay | ( | void |  | ) |

GLboolean InitExtensionGLX | ( | Display * | display | ) |

GLboolean QueryExtension | ( | char * | extName | ) |

GLboolean QueryExtensionGLX | ( | char * | extName | ) |

GLboolean supportsOneDotOne | ( | void |  | ) |